#include<bits/stdc++.h>

using namespace std;

int main(){
	long long a,b,x,y;
	cin>>a>>b>>x>>y;
	if(x==a && y==b){
		cout<<"nijedan";
	}
	else if(x<a && y<b){
		cout<<"?";
	}
	else if(x<a && y==b){
		cout<<"prvi";
	}
	else if(x==a && y<b){
		cout<<"drugi";
	}
	
	return 0;
}